#define NUMLINE  ( sizeof (WinStruct) / sizeof (WinStruct[0]) )

struct WINSTRUCT
{ char *szStruct ;
  char *szDescriptor ;
} ;

struct WINSTRUCT WinStruct[] =
{ "BITMAP",              "Bitmap Data Structure",
  "BITMAPCOREHEADER",    "Device-Independent Bitmap Format Information",
  "BITMAPCOREINFO",      "Device-Independent Bitmap Information",
  "BITMAPFILEHEADER",    "Bitmap File Information",
  "BITMAPINFO",          "Device-Independent Bitmap Information",
  "BITMAPINFOHEADER",    "Device-Independent Bitmap Format Information",

  "CLIENTCREATESTRUCT",  "MDI Client Window Creation Structure",
  "COLORREF",            "Color Specification, Palette-Relative RGB",
  "COMPAREITEMSTRUCT",   "Owner-Draw Item-Sorting Information",
  "COMSTAT",             "Communication-Device Status",
  "CREATESTRUCT",        "Window-Creation Structure",

  "DCB",                 "Communications-Device Control Block",
  "DELETEITEMSTRUCT",    "Deleted Owner-Draw List-Box Item",
  "DEVMODE",             "Printer Driver Initialization Information",
  "DLGTEMPLATE",         "Dialog Template",

  "HANDLETABLE",         "Window-Handle Table",

  "LOGBRUSH",            "Logical-Brush Attribute Information",
  "LOGFONT",             "Logical-Font Descriptor",
  "LOGPALETTE",          "Logical Color Palette Information",
  "LOGPEN",              "Logical-Pen Attribute Information",

  "MDICREATESTRUCT",     "MDI Child Window Creation Structure",
  "MEASUREITEMSTRUCT",   "Owner-Draw Control Dimensions",
  "MENUITEMTEMPLATE",    "Menu-Item Template",
  "METAFILEPICT",        "MetaFile Picture Structure",
  "MSG",                 "Message Data Structure",

  "OFSTRUCT",            "Open-File Structure",

  "PAINTSTRUCT",         "Windows Paint Information",
  "PALETTEENTRY",        "Logical Palette Color Entry",
  "POINT",               "Point Data Structure",

  "RECT",                "Rectangle Data Structure",
  "RGBQUAD",             "RGB Color Structure",
  "RGBTRIPLE",           "RGB Color Structure",

  "TEXTMETRIC",          "Basic Font Metrics",

  "WNDCLASS",            "Window-Class Data Structure"
} ;



