//  PROG4-1.C

#include<stdio.h>

typedef struct
{ double real ;
  double imag ;
} complex ;


complex ComplexSet(double r, double i)
{ complex temp ;

  temp.real = r ;
  temp.imag = i ;

  return temp ;
}


complex ComplexAdd(complex c1, complex c2)
{ complex temp ;

  temp.real = c1.real + c2.real ;
  temp.imag = c1.imag + c2.imag ;

  return temp ;
}


complex ComplexSub(complex c1, complex c2)
{ complex temp ;

  temp.real = c1.real - c2.real ;
  temp.imag = c1.imag - c2.imag ;

  return temp ;
}


void ComplexPrint(complex c)
{
  printf("%g + %g i", c.real, c.imag) ;
}


int main()
{ complex a,b,c,d ;

  a = ComplexSet(1.0, 2.0) ;
  b = ComplexSet(3.0, 4.0) ;

  c = ComplexAdd(a,b) ;
  printf("c = ") ; ComplexPrint(c) ; printf("\n") ;

  d = ComplexAdd(a, ComplexSub(b,c)) ;
  printf("d = ") ; ComplexPrint(d) ; printf("\n") ;

  return 0 ;
}
