//  PROG4-5.CPP

//   C++ Class && constructor && operator overloading

#include<stdio.h>

class complex
{ private :
    double real ;
    double imag ;

  public :
    complex(double r=0.0, double i=0.0) ;  // constructor
    complex operator + (complex c) ;       // this + c
    complex operator - (complex c) ;       // this - c
    void Print(void) ;
    ~complex(void) ;                       // destructor
} ;


complex::complex(double r, double i)
{
  real = r ;
  imag = i ;
}


complex::~complex(void)
{
  // do nothing for the complex destructor
}


complex complex::operator + (complex c)
{ complex temp ;

  temp.real = real + c.real ;
  temp.imag = imag + c.imag ;

  return temp ;
}


complex complex::operator - (complex c)
{ complex temp ;

  temp.real = real - c.real ;
  temp.imag = imag - c.imag ;

  return temp ;
}


void complex::Print(void)
{
  printf("%g + %g i", real, imag) ;
}


int main()
{ complex a(1.0, 2.0) ;
  complex b(3.0, 4.0) ;
  complex c,d ;

  c = a + b ;
  printf("c = ") ; c.Print() ; printf("\n") ;

  d = a + b - c ;
  printf("d = ") ; d.Print() ; printf("\n") ;

  return 0 ;
}
